Contents

# Exit Statement

Exits a Do...Loop, For...Next, a function, a property, or a subroutine.

### Syntax:

    Exit Do, Exit For, Exit Function, Exit Property, Exit Sub

### Parameters:

Exit Do

Only valid within a Do...Loop statement to exit the loop. Program execution continues with the statement that follows the Loop statement. If Do...Loop statements are nested, the control is transferred to the loop in the next higher level.

Exit For

Only valid within a For...Next loop to exit the loop. Program execution continues with the first statement that follows the Next statement. In nested statements, the control is transferred to the loop in the next higher level.

Exit Function

Exits the Function procedure immediately. Program execution continues with the statement that follows the Function call.

Exit Property

Exits the Property procedure immediately. Program execution continues with the statement that follows the Property call.

Exit Sub

Exits the subroutine immediately. Program execution continues with the statement that follows the Sub call.

Izjava izlaza ne definira kraj strukture, i nemojte ju zamijeniti sa End izrazom.

### Example:

    Sub ExampleExit
    Dim sReturn As String
    Dim sListArray(10) As String
    Dim siStep As Single
        For siStep = 0 to 10 REM Fill array with test data
            sListArray(siStep) = chr(siStep + 65)
            MsgBox sListArray(siStep)
        Next siStep
        sReturn = LinSearch(sListArray(), "B")
        Print sReturn
    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer
    Dim iCount As Integer
    REM LinSearch searches a TextArray:sList() for a TextEntry:
    REM Returns the index of the entry or 0 ( Null)
        For iCount=1 To Ubound( sList() )
            If sList( iCount ) = sItem Then
                Exit for REM sItem found
            End If
        Next iCount
        If iCount = Ubound( sList() ) Then iCount = 0
        LinSearch = iCount
    End Function